-- scorched stuff
minetest.register_craftitem(
	":mobs:scorched_stuff",
	{
		description = "Scorched Stuff",
		inventory_image = "default_scorched_stuff.png",
	})

minetest.register_craft({
	type = "cooking",
	output = "mobs:scorched_stuff",
	recipe = "mobs:rat_cooked",
	cooktime = 10
})

minetest.register_craft({
	type = "shapeless",
	output = "dye:black",
	recipe = {"mobs:scorched_stuff"},
})

minetest.register_craft({
	type = "fuel",
	recipe = "mobs:scorched_stuff",
	burntime = 20,
})

minetest.register_alias("default:scorched_stuff", "mobs:scorched_stuff")

-- Dungeon master sword
minetest.register_tool(
	":mobs:dungeon_master_sword",
	{
		description = "Dungeon Master's Blood Sword (Warrior)",
		inventory_image = "default_tool_dungeon_master_s_blood_sword.png",
		tool_capabilities = {
			full_punch_interval = 0.5,
			max_drop_level = 1,
			groupcaps = {
				snappy = {times = {[1] = 1.9, [2] = 0.85, [3] = 0.125}, uses = 250, maxlevel = 3},
			},
			damage_groups = {fleshy = 10},
		}
	})

minetest.register_craft(
	{
		output = "mobs:dungeon_master_sword",
		recipe = {
			{"mobs_monster:dungeon_master_blood", "nether:white", "mobs_monster:dungeon_master_blood"},
			{"mobs_monster:dungeon_master_blood", "mobs_monster:dungeon_master_diamond", "mobs_monster:dungeon_master_blood"},
			{"moreores:mithril_block", "zombie:zombie_tibia", "moreores:mithril_block"},
		}
	})

if minetest.get_modpath("toolranks") then
	minetest.override_item(
		"mobs:dungeon_master_sword",
		{
			original_description = "Dungeon Master's Blood Sword",
			description = toolranks.create_description("Dungeon Master's Blood Sword", 0, 1),
			after_use = toolranks.new_afteruse
		})
end

minetest.register_alias("nalc:dungeon_master_s_blood_sword", "mobs:dungeon_master_sword")
minetest.register_alias("default:dungeon_master_s_blood_sword", "mobs:dungeon_master_sword")

minetest.log("action", "[nalc_mobs] loaded.")
